aboutsummaryrefslogtreecommitdiff
path: root/config/zsh
diff options
context:
space:
mode:
Diffstat (limited to 'config/zsh')
-rw-r--r--config/zsh/aliases/system.zsh6
-rw-r--r--config/zsh/plugins/fzf-cd.zsh4
2 files changed, 5 insertions, 5 deletions
diff --git a/config/zsh/aliases/system.zsh b/config/zsh/aliases/system.zsh
index 3f049a3..9e562dd 100644
--- a/config/zsh/aliases/system.zsh
+++ b/config/zsh/aliases/system.zsh
@@ -24,13 +24,13 @@ nix-rollback() {
setup_webcam_day() {
v4l2-ctl -d /dev/video2 --set-ctrl exposure_absolute=300
v4l2-ctl -d /dev/video2 --set-ctrl gamma=180
- v4l2-ctl -d /dev/video2 --set-ctrl saturation=17
- v4l2-ctl -d /dev/video2 --set-ctrl contrast=12
+ v4l2-ctl -d /dev/video2 --set-ctrl saturation=15
+ v4l2-ctl -d /dev/video2 --set-ctrl contrast=11
v4l2-ctl -d /dev/video2 --set-ctrl brightness=1
}
setup_webcam_night() {
- v4l2-ctl -d /dev/video2 --set-ctrl exposure_absolute=400
+ v4l2-ctl -d /dev/video2 --set-ctrl exposure_absolute=460
v4l2-ctl -d /dev/video2 --set-ctrl gamma=230
v4l2-ctl -d /dev/video2 --set-ctrl saturation=14
v4l2-ctl -d /dev/video2 --set-ctrl contrast=10
diff --git a/config/zsh/plugins/fzf-cd.zsh b/config/zsh/plugins/fzf-cd.zsh
index f1897c5..02b85e7 100644
--- a/config/zsh/plugins/fzf-cd.zsh
+++ b/config/zsh/plugins/fzf-cd.zsh
@@ -4,7 +4,7 @@ fzf-change-dir-cwd() { # fzf + cd in cwd
if [ ! -z "$selected" ] && [ "$selected" != "$(pwd)" ]; then
cd $selected;
fi
- zle send-break
+ zle send-break || true
}
zle -N fzf-change-dir-cwd;
@@ -15,7 +15,7 @@ fzf-change-dir() {
if ! [[ -z "$result" ]]; then
cd "$result"
fi
- zle send-break
+ zle send-break || true
}
zle -N fzf-change-dir;